body
{
    padding: 15px;
    font-family: 'Montserrat', sans-serif;
    width: 980px;
    margin: auto;
}

html::-webkit-scrollbar-track
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    border-radius: 20px;
    background-color: none;
}

html::-webkit-scrollbar
{
    width: 16px;
    background-color: none;
}

html::-webkit-scrollbar-thumb
{
    border-radius: 20px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #C0C0C0;
}


.btn
{
    background: #DB0029;
    display: inline-block;
    position: relative;
    text-align: center;
    color: white;
    width: 260px;
    height: 260px;
    transition: all 1s;
    cursor: pointer;
    border: 1px solid rgba(255, 255, 255, 1);
    line-height: 260px;
    text-decoration: none;
}

    .btn .title
    {
        display: inline-block;
        margin-top: 44%;
        font-weight: bold;
    }

    .btn .libelle
    {
        font-style: italic;
        display: inline-block;
        margin-top: 20px;
    }

    .btn:hover
    {
        background: #FFF;
        color: #DB0029;
        border: 1px solid rgba(219,0,41, 1);
    }

    .btn::before, .btn::after
    {
        content: '';
        position: absolute;
        transition: all 1s;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 1;
    }

/*  DEBUT NORMALISATION INPUTS   */

input[type="text"], input[type="password"], input[type="date"], input[type="datetime"], input[type="datetime-local"], input[type="month"], input[type="week"], input[type="email"], input[type="number"], input[type="search"], input[type="tel"], input[type="time"], input[type="url"], input[type="color"], textarea
{
    -webkit-appearance: none;
    border-radius: 0;
    background-color: #FAFAFA;
    font-family: inherit;
    border-style: solid;
    border-width: 0 0 1px 0;
    border-color: #cccccc;
    color: rgba(0, 0, 0, 0.75);
    display: block;
    font-size: 0.875rem;
    margin: 0 0 1rem 0;
    padding: 0.5rem;
    height: 2.3125rem;
    width: 100%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    transition: all 0.15s linear;
}

    input[type="text"]:focus, input[type="password"]:focus, input[type="date"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="month"]:focus, input[type="week"]:focus, input[type="email"]:focus, input[type="number"]:focus, input[type="search"]:focus, input[type="tel"]:focus, input[type="time"]:focus, input[type="url"]:focus, input[type="color"]:focus, textarea:focus
    {
        background: #eeeeee;
        border-color: #999999;
        outline: none;
    }

    input[type="text"]:disabled, input[type="password"]:disabled, input[type="date"]:disabled, input[type="datetime"]:disabled, input[type="datetime-local"]:disabled, input[type="month"]:disabled, input[type="week"]:disabled, input[type="email"]:disabled, input[type="number"]:disabled, input[type="search"]:disabled, input[type="tel"]:disabled, input[type="time"]:disabled, input[type="url"]:disabled, input[type="color"]:disabled, textarea:disabled
    {
        background-color: #E9EDEE;
        cursor: default;
    }

    input[type="text"][disabled], input[type="text"][readonly], fieldset[disabled] input[type="text"], input[type="password"][disabled], input[type="password"][readonly], fieldset[disabled] input[type="password"], input[type="date"][disabled], input[type="date"][readonly], fieldset[disabled] input[type="date"], input[type="datetime"][disabled], input[type="datetime"][readonly], fieldset[disabled] input[type="datetime"], input[type="datetime-local"][disabled], input[type="datetime-local"][readonly], fieldset[disabled] input[type="datetime-local"], input[type="month"][disabled], input[type="month"][readonly], fieldset[disabled] input[type="month"], input[type="week"][disabled], input[type="week"][readonly], fieldset[disabled] input[type="week"], input[type="email"][disabled], input[type="email"][readonly], fieldset[disabled] input[type="email"], input[type="number"][disabled], input[type="number"][readonly], fieldset[disabled] input[type="number"], input[type="search"][disabled], input[type="search"][readonly], fieldset[disabled] input[type="search"], input[type="tel"][disabled], input[type="tel"][readonly], fieldset[disabled] input[type="tel"], input[type="time"][disabled], input[type="time"][readonly], fieldset[disabled] input[type="time"], input[type="url"][disabled], input[type="url"][readonly], fieldset[disabled] input[type="url"], input[type="color"][disabled], input[type="color"][readonly], fieldset[disabled] input[type="color"], textarea[disabled], textarea[readonly], fieldset[disabled] textarea
    {
        background-color: #E9EDEE;
        cursor: default;
    }

    input[type="text"].radius, input[type="password"].radius, input[type="date"].radius, input[type="datetime"].radius, input[type="datetime-local"].radius, input[type="month"].radius, input[type="week"].radius, input[type="email"].radius, input[type="number"].radius, input[type="search"].radius, input[type="tel"].radius, input[type="time"].radius, input[type="url"].radius, input[type="color"].radius, textarea.radius
    {
        border-radius: 3px;
    }


input[type="submit"]
{
    -webkit-appearance: none;
    border-radius: 0;
}

/* Respect enforced amount of rows for textarea */
textarea[rows]
{
    height: auto;
}

/* Not allow resize out of parent */
textarea
{
    max-width: 100%;
}

/* Add height value for select elements to match text input height */
select
{
    -webkit-appearance: none !important;
    border-radius: 0;
    background-color: #FAFAFA;
    background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZlcnNpb249IjEuMSIgeD0iMTJweCIgeT0iMHB4IiB3aWR0aD0iMjRweCIgaGVpZ2h0PSIzcHgiIHZpZXdCb3g9IjAgMCA2IDMiIGVuYWJsZS1iYWNrZ3JvdW5kPSJuZXcgMCAwIDYgMyIgeG1sOnNwYWNlPSJwcmVzZXJ2ZSI+PHBvbHlnb24gcG9pbnRzPSI1Ljk5MiwwIDIuOTkyLDMgLTAuMDA4LDAgIi8+PC9zdmc+);
    background-position: 100% center;
    background-repeat: no-repeat;
    border-style: solid;
    border-width: 1px;
    border-color: #cccccc;
    padding: 0.5rem;
    font-size: 0.875rem;
    font-family: "Helvetica Neue", Helvetica, Roboto, Arial, sans-serif;
    color: rgba(0, 0, 0, 0.75);
    line-height: normal;
    border-radius: 0;
    height: 2.3125rem;
}

    select::-ms-expand
    {
        display: none;
    }

    select.radius
    {
        border-radius: 3px;
    }

    select:hover
    {
        background-color: #f3f3f3;
        border-color: #999999;
    }

    select:disabled
    {
        background-color: #DDDDDD;
        cursor: default;
    }

    select[multiple]
    {
        height: auto;
    }

/* Adjust margin for form elements below */
input[type="file"],
input[type="checkbox"],
input[type="radio"],
select
{
    margin: 0 0 1rem 0;
}

    input[type="checkbox"] + label,
    input[type="radio"] + label
    {
        display: inline-block;
        margin-left: 0.5rem;
        margin-right: 1rem;
        margin-bottom: 0;
        vertical-align: baseline;
    }

/* Normalize file input width */
input[type="file"]
{
    width: 100%;
}

/* HTML5 Number spinners settings */
/* We add basic fieldset styling */
fieldset
{
    border: 1px solid #DDDDDD;
    padding: 1.25rem;
    margin: 1.125rem 0;
}

    fieldset legend
    {
        font-weight: bold;
        background: #FFFFFF;
        padding: 0 0.1875rem;
        margin: 0;
        margin-left: -0.1875rem;
    }

/*   FIN NORMALISATION INPUTS   */






/* ------------------------------------ DEBUT ACCUEIL ------------------------------------- */



h1, h2, h3, h4, h5
{
    color: #DB0029;
    text-align: center;
    font-weight: 100;
    font-size: 18px;
}

/* ------------------------------------ FIN ACCUEIL ------------------------------------- */
.flex-container
{
    display: flex;
}

h1, h2, h3, h4, h5
{
    color: #DB0029;
    text-align: center;
    font-weight: 100;
    font-size: 18px;
}

.header-logo-ce a
{
    background-image: url('../Images/Symbole-CE-76x76.png');
    display: inline-block;
    width: 76px;
    height: 76px;
    background-size: 76px 76px;
}


/* Medium périphs. (tablets, 768px et sup.) */
@media (min-width: 768px)
{
    .header-logo-ce a
    {
        background-image: url('../Images/caisse-epargne.png');
        display: inline-block;
        width: 236px;
        height: 96px;
        background-size: auto;
    }


    h1, h2, h3, h4, h5
    {
        font-size: 32px;
    }
}




.valid.modified:not([type=checkbox])
{
    outline: 1px solid #26b050;
}

.invalid
{
    outline: 1px solid red;
}

.validation-message
{
    color: red;
}

.loading
{
    background-image: url(../icones/loading.gif);
    background-repeat: no-repeat;
    text-align: center;
    padding-top: 120px;
    background-position-x: 50%;
    margin-left: 5px;
    margin-right: 5px;
    position: absolute;
    top: calc(50% - 80px);
    left: calc(50% - 150px);
    width: 300px;
    /*    @media screen and (max-width: 539px) {
        top: calc(50% - 90px);
        left: auto;
    }*/
}

#blazor-error-ui
{
    background: lightyellow;
    top: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss
    {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

    #blazor-error-ui .link
    {
        cursor: pointer;
    }

    #blazor-error-ui a
    {
        margin-left: 10px;
    }

#notification
{
    display: none;
    position: absolute;
    top: 0;
    width: 100%;
    left: 0;
    z-index: 10000;
    background-color: #db0029;
    border: 1px solid grey;
    padding: 15px;
}

    #notification p
    {
        font-size: 16px;
        color: #fff;
    }

    #notification .zone-button
    {
        text-align: center;
    }

    #notification a
    {
        font-size: 18px;
        text-align: center;
    }

    #notification .btn-primary
    {
        color: #db0029;
        background-color: #ffff;
        border: 1px solid #db0029;
    }

    #notification .btn:hover
    {
        background-color: #db0029;
        border: 1px solid #fff;
        color: #fff;
    }

.link-upload
{
    display: table;
    width: 100%;
    height: 40px;
}

#left, #right
{
    display: table-cell;
    vertical-align: top;
    width: 50%;
    height: 100%;
}

#right
{
    padding-left: 10px;
    padding-top: 30px;
}

.download-link
{
    color: #DB0029;
    text-decoration: underline;
    text-decoration-color: #DB0029;
    cursor: grab;
}



